require 'spec_helper'

describe AvetmissData::Achievement do
  context 'imports the NAT00100 file' do

    context 'NAT File' do
      specify { expect(AvetmissData::Achievement.file).not_to be_blank }
      specify { expect(AvetmissData::Achievement.file).to eq('NAT00100') }
    end

    context 'NAT Record Parse' do
      let!(:row) { '12345     008' }
      subject { AvetmissData::Achievement.parse(row) }

      specify { expect(subject).not_to be_blank }
      specify { expect(subject[:client_identifier]).to eq('12345') }
      specify { expect(subject[:prior_education_achievement_identifier]).to eq('008') }
      specify { expect(subject[:extras]).to be_blank }
    end
  end
end
